Subject: Re: Keeping track of labels in long LaTeX documents
From: Guldo K <[email-masked]>
Date: Wed, 24 Dec 2003 21:27:54 GMT
Newsgroups: comp.text.tex

David Kastrup <[email-masked]> writes:

> refTeX <URL:http://zon.astro.uva.nl/~dominik/Tools/reftex/>, it comes
> bundled with Emacs already, adding two lines to your .emacs file will
> enable it, it does nothing unless you use it and is fantastic for
> navigation and cross references.  If you set the variable
> reftex-plug-into-AUCTeX, AUCTeX will generate typical labels
> for sections, equations and stuff like that automagically.  And
> inserting references is very convenient, you really don't need to
> remember label names and so get pretty comfortable with the
> autogenerated ones.
> 
> It also makes navigation through the document more convenient.
> 
> In short: there is hardly a reason not to switch it on, and a lot for
> doing so.
> 
> For people that have not yet seen the light, the showkeys package
> provides some help.

Oh my God!
David, this refTex is just beautiful!!!
How come I didn't know anything about this?
I read your message a couple of minutes ago,
and tried refTex right after; I love it!

David, THANKS A LOT!!!
And many grateful thanks to all who developed
this refTex.

Bye,

*Guldo*

Merry XMas to everybody! :-)